summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-ml/menhir
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-ml/menhir')
-rw-r--r--dev-ml/menhir/Manifest3
-rw-r--r--dev-ml/menhir/menhir-20130116.ebuild36
-rw-r--r--dev-ml/menhir/menhir-20140422.ebuild36
-rw-r--r--dev-ml/menhir/menhir-20141215.ebuild36
-rw-r--r--dev-ml/menhir/metadata.xml5
5 files changed, 116 insertions, 0 deletions
diff --git a/dev-ml/menhir/Manifest b/dev-ml/menhir/Manifest
new file mode 100644
index 00000000000..e6fd0a36fd4
--- /dev/null
+++ b/dev-ml/menhir/Manifest
@@ -0,0 +1,3 @@
+DIST menhir-20130116.tar.gz 406712 SHA256 5769f628dddcb45d123fc1cdb16ff2313f5d76cbb69363419c9dcf78f526f5a9 SHA512 414f22269b74b401617389365342ce8c4ff0a92a88ef859a0deec370bae3dc830df4c019cdb24d9044695b94f33fbf089ccea32269fdb4cacb093922ecb9ed88 WHIRLPOOL 4be4444f949a957b89a2add2a899f2c07661d60c27af4ad647345c778cafde0ea5cb5c2f9c8a79d5ae1b61607be9f282134000e10b3dccfe8dbc318cc1b3a643
+DIST menhir-20140422.tar.gz 549129 SHA256 0da8c84fff1713f9bd666940be19e2be9d7ecdf2688a7d7b822428d3a27021ce SHA512 1c40664918671984a74d8341ad8b074d0871acebd9f6b3e06584d8092b3f1c67fcdb0dc13e707abc569940570d5f3282520e34990b2ed06732c047ecf3edc01f WHIRLPOOL 7848a60d842c4f10a5c47a9905cfa65bbe8ba26d4b88751025f1098465c351cde27c48cb8681dcaf5a1bb185f277855a85aad35b419772a1d47bd3e2de05ff33
+DIST menhir-20141215.tar.gz 556231 SHA256 2592967c123a31e1b6566ab9f6034e7a0a709d57d547097f05693baf96a46fa4 SHA512 1fff6b987016be37eaca0bb3fea7ec0c498c1448d076e991e1555718cf760318a8d710622af930175f234f49f8dd767ce62cc880c33458958ceeb1bda4817243 WHIRLPOOL 28e6018ce127b28e362aaf1fe030240253cb2ffb0a52d9b34e81c71882ae517376aa3df6c5d19c6db13819260f667f5708522486a74bc498bad3dac11378b56c
diff --git a/dev-ml/menhir/menhir-20130116.ebuild b/dev-ml/menhir/menhir-20130116.ebuild
new file mode 100644
index 00000000000..f8ff13e8f93
--- /dev/null
+++ b/dev-ml/menhir/menhir-20130116.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit findlib
+
+DESCRIPTION="LR(1) parser generator for the OCaml language"
+HOMEPAGE="http://gallium.inria.fr/~fpottier/menhir/"
+SRC_URI="http://gallium.inria.fr/~fpottier/menhir/${P}.tar.gz"
+
+LICENSE="QPL-1.0 LGPL-2-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="examples +ocamlopt"
+
+DEPEND=">=dev-lang/ocaml-3.09:=[ocamlopt?]"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ if ! use ocamlopt ; then
+ export TARGET=byte
+ fi
+}
+
+src_compile() {
+ emake PREFIX="${EPREFIX}"/usr -j1
+}
+
+src_install() {
+ findlib_src_preinst
+ emake PREFIX="${ED}"/usr docdir="${ED}"/usr/share/doc/"${PF}" $(use examples || echo "DOCS=manual.pdf") install
+ use examples && docompress -x /usr/share/doc/${PF}/demos
+ dodoc AUTHORS CHANGES
+}
diff --git a/dev-ml/menhir/menhir-20140422.ebuild b/dev-ml/menhir/menhir-20140422.ebuild
new file mode 100644
index 00000000000..0a43de75ffe
--- /dev/null
+++ b/dev-ml/menhir/menhir-20140422.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit findlib
+
+DESCRIPTION="LR(1) parser generator for the OCaml language"
+HOMEPAGE="http://gallium.inria.fr/~fpottier/menhir/"
+SRC_URI="http://gallium.inria.fr/~fpottier/menhir/${P}.tar.gz"
+
+LICENSE="QPL-1.0 LGPL-2-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="examples +ocamlopt"
+
+DEPEND=">=dev-lang/ocaml-3.09:=[ocamlopt?]"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ if ! use ocamlopt ; then
+ export TARGET=byte
+ fi
+}
+
+src_compile() {
+ emake PREFIX="${EPREFIX}"/usr -j1
+}
+
+src_install() {
+ findlib_src_preinst
+ emake PREFIX="${ED}"/usr docdir="${ED}"/usr/share/doc/"${PF}" $(use examples || echo "DOCS=manual.pdf") install
+ use examples && docompress -x /usr/share/doc/${PF}/demos
+ dodoc AUTHORS CHANGES
+}
diff --git a/dev-ml/menhir/menhir-20141215.ebuild b/dev-ml/menhir/menhir-20141215.ebuild
new file mode 100644
index 00000000000..a8d4107fe61
--- /dev/null
+++ b/dev-ml/menhir/menhir-20141215.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit findlib
+
+DESCRIPTION="LR(1) parser generator for the OCaml language"
+HOMEPAGE="http://gallium.inria.fr/~fpottier/menhir/"
+SRC_URI="http://gallium.inria.fr/~fpottier/menhir/${P}.tar.gz"
+
+LICENSE="QPL-1.0 LGPL-2-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples +ocamlopt"
+
+DEPEND=">=dev-lang/ocaml-4.02:=[ocamlopt?]"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ if ! use ocamlopt ; then
+ export TARGET=byte
+ fi
+}
+
+src_compile() {
+ emake PREFIX="${EPREFIX}"/usr -j1
+}
+
+src_install() {
+ findlib_src_preinst
+ emake PREFIX="${ED}"/usr docdir="${ED}"/usr/share/doc/"${PF}" $(use examples || echo "DOCS=manual.pdf") install
+ use examples && docompress -x /usr/share/doc/${PF}/demos
+ dodoc AUTHORS CHANGES
+}
diff --git a/dev-ml/menhir/metadata.xml b/dev-ml/menhir/metadata.xml
new file mode 100644
index 00000000000..2193d772e35
--- /dev/null
+++ b/dev-ml/menhir/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>ml</herd>
+</pkgmetadata>